function E = BETAGREN(wavelen,E,varargin)
% BETAGREN(WAVELENGTH,E,DIRECTION) PROPAGATEs a complex E
% field through a sequence of materials.  The default
% parameters match that of GN-T Swamp Optics GRENOUILLE.
% The default direction is -1, that is, back-propagation.

error(nargchk(2,3,nargin));

direction = -1;
[direction] = ParseVarargin(varargin,direction);

% Beam Size ~ 2mm entering...
% Thorlabs LC2632; -12 mm f.l. SPH lens; SF 11; CT = 2.0mm
E = propagate(wavelen,E,2,'SF11',direction);

% Beam Size ~ 10mm entering...
% Thorlabs LA1134; +60 mm f.l. SPH lens; BK7; CT = 4.7mm  ET= 2.0 mm
E = propagate(wavelen,E,4.6,'BK7',direction);

% Beam Size ~ 10mm Horizontal entering...
% Fresnel Biprism; 170 apex; FUSED SILICA; CT = 2.4mm  ET ~= 1.0 mm
E = propagate(wavelen,E,2.4,'FUSED SILICA',direction);

% Beam Size ~ 10mm Vertical entering..
% Oriel 43885; +150 mm f.l. CYL lens; BK7; CT = 2.4
E = propagate(wavelen,E,2.3,'BK7',direction);
% 
% Beam Size ~ 5mm Horizontal; <1mm Vertical entering...
% BBO crystal; Super Optronics; BBO; CT = 3.5 mm
E = propagate(wavelen,E,1.75,'BBO',direction,'O');

