function filename = ESave(x,E,filename)
%ESAVE saves an E-field file in the 'Ek.dat' or 'Speck.dat' format.
%	ESAVE(X,E) saves the field, E, as a function of X.  X is either
%	time or wavelength.

%	$Revision: 1.2 $ $Date: 2001/10/22 23:10:34 $
%
%	$Log: ESave.m,v $
%	Revision 1.2  2001/10/22 23:10:34  xg
%	File name return added
%	
%	Revision 1.1  2001/10/22 21:17:38  zeekec
%	Added function
%	

if nargin < 3 | isempty(filename)
	[fname,pname] = uiputfile(...
		{'*.dat', 'FROG Output Files (*.dat)';...
			'*.*', 'All Files (*.*)'}, 'Save FROG E-field file');
	if fname == 0
		error('Invalid filename');
	end
	filename = [pname,fname];
end

data = zeros(length(x),5);

data(:,1) = x(:);
data(:,2) = abs(E(:)).^2;
data(:,3) = unwrap(angle(E(:)));
data(:,4) = real(E(:));
data(:,5) = imag(E(:));

[fid,err] = fopen(filename,'wt');

if fid < 0
	error(err);
end

fprintf(fid, '%g\t%g\t%g\t%g\t%g\n',data');

error(ferror(fid));

fclose(fid);

