function f=ltof(l,u)
% LTOF converts wavelengths to frequencies and vice versa
%	LTOF(L) converts wavelength L to a frequency.
%
%	LTOF(F) converts frequency F to a wavelength.
%
%	LTOF(...,U) uses the units U for the conversion.
%	U defaults to nm/fs.

%	$Revision: 1.3 $ $Date: 2002/06/25 18:09:12 $
%
%	$Log: ltof.m,v $
%	Revision 1.3  2002/06/25 18:09:12  zeekec
%	*** empty log message ***
%	
%	Revision 1.2  2002/05/09 18:47:31  pat
%	Fixed to match ltow.m.
%	
%	Revision 1.1  2001/10/16 15:11:50  zeekec
%	Added functions
%	



error(nargchk(1,2,nargin));

if nargin < 2 | isempty(u)
	u = 'nm/fs';
end

f = const_c(u)./l;
