function h = plot_Isig(Isig,varargin)
%PLOTISIG plots the FROG signal.
%	PLOT_ISIG(ISIG) plots the square root of FROG signal field.
%
%	H = PLOT_ISIG(...) returns the handle for an image graphics object.

%	$Revision: 1.3 $ $Date: 2001/11/21 00:04:56 $
%
%	$Log: plot_Isig.m,v $
%	Revision 1.3  2001/11/21 00:04:56  zeekec
%	*** empty log message ***
%	
%	Revision 1.2  2001/10/19 16:17:28  zeekec
%	Streamlined function
%	
%	Revision 1.1  2001/10/08 20:39:43  zeekec
%	Added new functions
%	

Levels = 256;

error(nargchk(1,4,nargin));


wt = (1:size(Isig,1)) - size(Isig,1) / 2 - 1;
tau = (1:size(Isig,2)) - size(Isig,2) / 2 - 1;
cutoff = 1e-2;

[wt,tau,cutoff] = ParseVarargin(varargin,wt,tau,cutoff);

Isig = quickscale(sqrt(abs(Isig)));

h1 = imagesc(tau,wt,Isig,[-1 / (Levels - 1) + cutoff, 1]);
colormap(hsv2(Levels));
axis xy;

if nargout > 0
	h = h1;
end

